imported brians code
[nestedvm.git] / upstream / patches / boehm-gc.patch
diff --git a/upstream/patches/boehm-gc.patch b/upstream/patches/boehm-gc.patch
new file mode 100644 (file)
index 0000000..48103d3
--- /dev/null
@@ -0,0 +1,2879 @@
+diff -ruN ../gc6.3alpha2/configure ./configure
+--- ../gc6.3alpha2/configure   Wed Oct  1 19:34:32 2003
++++ ./configure        Wed Nov 19 04:17:25 2003
+@@ -1,7 +1,7 @@
+ #! /bin/sh
+ # From configure.in Revision: 1.2 .
+ # Guess values for system-dependent variables and create Makefiles.
+-# Generated by GNU Autoconf 2.53 for gc 6.3alpha2.
++# Generated by GNU Autoconf 2.57 for gc 6.3alpha2.
+ #
+ # Report bugs to <Hans.Boehm@hp.com>.
+ #
+@@ -9,173 +9,6 @@
+ # Free Software Foundation, Inc.
+ # This configure script is free software; the Free Software Foundation
+ # gives unlimited permission to copy, distribute and modify it.
+-
+-# Find the correct PATH separator.  Usually this is `:', but
+-# DJGPP uses `;' like DOS.
+-if test "X${PATH_SEPARATOR+set}" != Xset; then
+-  UNAME=${UNAME-`uname 2>/dev/null`}
+-  case X$UNAME in
+-    *-DOS) lt_cv_sys_path_separator=';' ;;
+-    *)     lt_cv_sys_path_separator=':' ;;
+-  esac
+-  PATH_SEPARATOR=$lt_cv_sys_path_separator
+-fi
+-
+-
+-# Check that we are running under the correct shell.
+-SHELL=${CONFIG_SHELL-/bin/sh}
+-
+-case X$ECHO in
+-X*--fallback-echo)
+-  # Remove one level of quotation (which was required for Make).
+-  ECHO=`echo "$ECHO" | sed 's,\\\\\$\\$0,'$0','`
+-  ;;
+-esac
+-
+-echo=${ECHO-echo}
+-if test "X$1" = X--no-reexec; then
+-  # Discard the --no-reexec flag, and continue.
+-  shift
+-elif test "X$1" = X--fallback-echo; then
+-  # Avoid inline document here, it may be left over
+-  :
+-elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
+-  # Yippee, $echo works!
+-  :
+-else
+-  # Restart under the correct shell.
+-  exec $SHELL "$0" --no-reexec ${1+"$@"}
+-fi
+-
+-if test "X$1" = X--fallback-echo; then
+-  # used as fallback echo
+-  shift
+-  cat <<EOF
+-
+-EOF
+-  exit 0
+-fi
+-
+-# The HP-UX ksh and POSIX shell print the target directory to stdout
+-# if CDPATH is set.
+-if test "X${CDPATH+set}" = Xset; then CDPATH=:; export CDPATH; fi
+-
+-if test -z "$ECHO"; then
+-if test "X${echo_test_string+set}" != Xset; then
+-# find a string as large as possible, as long as the shell can cope with it
+-  for cmd in 'sed 50q "$0"' 'sed 20q "$0"' 'sed 10q "$0"' 'sed 2q "$0"' 'echo test'; do
+-    # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
+-    if (echo_test_string="`eval $cmd`") 2>/dev/null &&
+-       echo_test_string="`eval $cmd`" &&
+-       (test "X$echo_test_string" = "X$echo_test_string") 2>/dev/null
+-    then
+-      break
+-    fi
+-  done
+-fi
+-
+-if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
+-   echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
+-   test "X$echo_testing_string" = "X$echo_test_string"; then
+-  :
+-else
+-  # The Solaris, AIX, and Digital Unix default echo programs unquote
+-  # backslashes.  This makes it impossible to quote backslashes using
+-  #   echo "$something" | sed 's/\\/\\\\/g'
+-  #
+-  # So, first we look for a working echo in the user's PATH.
+-
+-  IFS="${IFS=         }"; save_ifs="$IFS"; IFS=$PATH_SEPARATOR
+-  for dir in $PATH /usr/ucb; do
+-    if (test -f $dir/echo || test -f $dir/echo$ac_exeext) &&
+-       test "X`($dir/echo '\t') 2>/dev/null`" = 'X\t' &&
+-       echo_testing_string=`($dir/echo "$echo_test_string") 2>/dev/null` &&
+-       test "X$echo_testing_string" = "X$echo_test_string"; then
+-      echo="$dir/echo"
+-      break
+-    fi
+-  done
+-  IFS="$save_ifs"
+-
+-  if test "X$echo" = Xecho; then
+-    # We didn't find a better echo, so look for alternatives.
+-    if test "X`(print -r '\t') 2>/dev/null`" = 'X\t' &&
+-       echo_testing_string=`(print -r "$echo_test_string") 2>/dev/null` &&
+-       test "X$echo_testing_string" = "X$echo_test_string"; then
+-      # This shell has a builtin print -r that does the trick.
+-      echo='print -r'
+-    elif (test -f /bin/ksh || test -f /bin/ksh$ac_exeext) &&
+-       test "X$CONFIG_SHELL" != X/bin/ksh; then
+-      # If we have ksh, try running configure again with it.
+-      ORIGINAL_CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
+-      export ORIGINAL_CONFIG_SHELL
+-      CONFIG_SHELL=/bin/ksh
+-      export CONFIG_SHELL
+-      exec $CONFIG_SHELL "$0" --no-reexec ${1+"$@"}
+-    else
+-      # Try using printf.
+-      echo='printf %s\n'
+-      if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
+-       echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
+-       test "X$echo_testing_string" = "X$echo_test_string"; then
+-      # Cool, printf works
+-      :
+-      elif echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
+-         test "X$echo_testing_string" = 'X\t' &&
+-         echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
+-         test "X$echo_testing_string" = "X$echo_test_string"; then
+-      CONFIG_SHELL=$ORIGINAL_CONFIG_SHELL
+-      export CONFIG_SHELL
+-      SHELL="$CONFIG_SHELL"
+-      export SHELL
+-      echo="$CONFIG_SHELL $0 --fallback-echo"
+-      elif echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
+-         test "X$echo_testing_string" = 'X\t' &&
+-         echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
+-         test "X$echo_testing_string" = "X$echo_test_string"; then
+-      echo="$CONFIG_SHELL $0 --fallback-echo"
+-      else
+-      # maybe with a smaller string...
+-      prev=:
+-
+-      for cmd in 'echo test' 'sed 2q "$0"' 'sed 10q "$0"' 'sed 20q "$0"' 'sed 50q "$0"'; do
+-        if (test "X$echo_test_string" = "X`eval $cmd`") 2>/dev/null
+-        then
+-          break
+-        fi
+-        prev="$cmd"
+-      done
+-
+-      if test "$prev" != 'sed 50q "$0"'; then
+-        echo_test_string=`eval $prev`
+-        export echo_test_string
+-        exec ${ORIGINAL_CONFIG_SHELL-${CONFIG_SHELL-/bin/sh}} "$0" ${1+"$@"}
+-      else
+-        # Oops.  We lost completely, so just stick with echo.
+-        echo=echo
+-      fi
+-      fi
+-    fi
+-  fi
+-fi
+-fi
+-
+-# Copy echo and quote the copy suitably for passing to libtool from
+-# the Makefile, instead of quoting the original, which is used later.
+-ECHO=$echo
+-if test "X$ECHO" = "X$CONFIG_SHELL $0 --fallback-echo"; then
+-   ECHO="$CONFIG_SHELL \\\$\$0 --fallback-echo"
+-fi
+-
+-
+-
+-if expr a : '\(a\)' >/dev/null 2>&1; then
+-  as_expr=expr
+-else
+-  as_expr=false
+-fi
+-
+-
+ ## --------------------- ##
+ ## M4sh Initialization.  ##
+ ## --------------------- ##
+@@ -184,11 +17,13 @@
+ if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+   emulate sh
+   NULLCMD=:
++  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
++  # is contrary to our usage.  Disable this feature.
++  alias -g '${1+"$@"}'='"$@"'
+ elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
+   set -o posix
+ fi
+-# NLS nuisances.
+ # Support unset when possible.
+ if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
+   as_unset=unset
+@@ -196,34 +31,42 @@
+   as_unset=false
+ fi
+-(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
+-    { $as_unset LANG || test "${LANG+set}" != set; } ||
+-      { LANG=C; export LANG; }
+-(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
+-    { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
+-      { LC_ALL=C; export LC_ALL; }
+-(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
+-    { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
+-      { LC_TIME=C; export LC_TIME; }
+-(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
+-    { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
+-      { LC_CTYPE=C; export LC_CTYPE; }
+-(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
+-    { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
+-      { LANGUAGE=C; export LANGUAGE; }
+-(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
+-    { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
+-      { LC_COLLATE=C; export LC_COLLATE; }
+-(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
+-    { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
+-      { LC_NUMERIC=C; export LC_NUMERIC; }
+-(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
+-    { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
+-      { LC_MESSAGES=C; export LC_MESSAGES; }
++
++# Work around bugs in pre-3.0 UWIN ksh.
++$as_unset ENV MAIL MAILPATH
++PS1='$ '
++PS2='> '
++PS4='+ '
++
++# NLS nuisances.
++for as_var in \
++  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
++  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
++  LC_TELEPHONE LC_TIME
++do
++  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
++    eval $as_var=C; export $as_var
++  else
++    $as_unset $as_var
++  fi
++done
++
++# Required to use basename.
++if expr a : '\(a\)' >/dev/null 2>&1; then
++  as_expr=expr
++else
++  as_expr=false
++fi
++
++if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
++  as_basename=basename
++else
++  as_basename=false
++fi
+ # Name of the executable.
+-as_me=`(basename "$0") 2>/dev/null ||
++as_me=`$as_basename "$0" ||
+ $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
+        X"$0" : 'X\(//\)$' \| \
+        X"$0" : 'X\(/\)$' \| \
+@@ -234,6 +77,7 @@
+         /^X\/\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
++
+ # PATH needs CR, and LINENO needs CR and PATH.
+ # Avoid depending upon Character Ranges.
+ as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+@@ -244,15 +88,15 @@
+ # The user is always right.
+ if test "${PATH_SEPARATOR+set}" != set; then
+-  echo "#! /bin/sh" >conftest.sh
+-  echo  "exit 0"   >>conftest.sh
+-  chmod +x conftest.sh
+-  if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
++  echo "#! /bin/sh" >conf$$.sh
++  echo  "exit 0"   >>conf$$.sh
++  chmod +x conf$$.sh
++  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
+     PATH_SEPARATOR=';'
+   else
+     PATH_SEPARATOR=:
+   fi
+-  rm -f conftest.sh
++  rm -f conf$$.sh
+ fi
+@@ -300,6 +144,8 @@
+   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
+   test "x$as_lineno_1" != "x$as_lineno_2" &&
+   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
++           $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
++           $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
+            CONFIG_SHELL=$as_dir/$as_base
+            export CONFIG_SHELL
+            exec "$CONFIG_SHELL" "$0" ${1+"$@"}
+@@ -372,6 +218,12 @@
+ fi
+ rm -f conf$$ conf$$.exe conf$$.file
++if mkdir -p . 2>/dev/null; then
++  as_mkdir_p=:
++else
++  as_mkdir_p=false
++fi
++
+ as_executable_p="test -f"
+ # Sed expression to map a string onto a valid CPP name.
+@@ -388,7 +240,166 @@
+ IFS="         $as_nl"
+ # CDPATH.
+-$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
++$as_unset CDPATH
++
++
++# Find the correct PATH separator.  Usually this is `:', but
++# DJGPP uses `;' like DOS.
++if test "X${PATH_SEPARATOR+set}" != Xset; then
++  UNAME=${UNAME-`uname 2>/dev/null`}
++  case X$UNAME in
++    *-DOS) lt_cv_sys_path_separator=';' ;;
++    *)     lt_cv_sys_path_separator=':' ;;
++  esac
++  PATH_SEPARATOR=$lt_cv_sys_path_separator
++fi
++
++
++# Check that we are running under the correct shell.
++SHELL=${CONFIG_SHELL-/bin/sh}
++
++case X$ECHO in
++X*--fallback-echo)
++  # Remove one level of quotation (which was required for Make).
++  ECHO=`echo "$ECHO" | sed 's,\\\\\$\\$0,'$0','`
++  ;;
++esac
++
++echo=${ECHO-echo}
++if test "X$1" = X--no-reexec; then
++  # Discard the --no-reexec flag, and continue.
++  shift
++elif test "X$1" = X--fallback-echo; then
++  # Avoid inline document here, it may be left over
++  :
++elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
++  # Yippee, $echo works!
++  :
++else
++  # Restart under the correct shell.
++  exec $SHELL "$0" --no-reexec ${1+"$@"}
++fi
++
++if test "X$1" = X--fallback-echo; then
++  # used as fallback echo
++  shift
++  cat <<EOF
++
++EOF
++  exit 0
++fi
++
++# The HP-UX ksh and POSIX shell print the target directory to stdout
++# if CDPATH is set.
++if test "X${CDPATH+set}" = Xset; then CDPATH=:; export CDPATH; fi
++
++if test -z "$ECHO"; then
++if test "X${echo_test_string+set}" != Xset; then
++# find a string as large as possible, as long as the shell can cope with it
++  for cmd in 'sed 50q "$0"' 'sed 20q "$0"' 'sed 10q "$0"' 'sed 2q "$0"' 'echo test'; do
++    # expected sizes: less than 2Kb, 1Kb, 512 bytes, 16 bytes, ...
++    if (echo_test_string="`eval $cmd`") 2>/dev/null &&
++       echo_test_string="`eval $cmd`" &&
++       (test "X$echo_test_string" = "X$echo_test_string") 2>/dev/null
++    then
++      break
++    fi
++  done
++fi
++
++if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
++   echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
++   test "X$echo_testing_string" = "X$echo_test_string"; then
++  :
++else
++  # The Solaris, AIX, and Digital Unix default echo programs unquote
++  # backslashes.  This makes it impossible to quote backslashes using
++  #   echo "$something" | sed 's/\\/\\\\/g'
++  #
++  # So, first we look for a working echo in the user's PATH.
++
++  IFS="${IFS=         }"; save_ifs="$IFS"; IFS=$PATH_SEPARATOR
++  for dir in $PATH /usr/ucb; do
++    if (test -f $dir/echo || test -f $dir/echo$ac_exeext) &&
++       test "X`($dir/echo '\t') 2>/dev/null`" = 'X\t' &&
++       echo_testing_string=`($dir/echo "$echo_test_string") 2>/dev/null` &&
++       test "X$echo_testing_string" = "X$echo_test_string"; then
++      echo="$dir/echo"
++      break
++    fi
++  done
++  IFS="$save_ifs"
++
++  if test "X$echo" = Xecho; then
++    # We didn't find a better echo, so look for alternatives.
++    if test "X`(print -r '\t') 2>/dev/null`" = 'X\t' &&
++       echo_testing_string=`(print -r "$echo_test_string") 2>/dev/null` &&
++       test "X$echo_testing_string" = "X$echo_test_string"; then
++      # This shell has a builtin print -r that does the trick.
++      echo='print -r'
++    elif (test -f /bin/ksh || test -f /bin/ksh$ac_exeext) &&
++       test "X$CONFIG_SHELL" != X/bin/ksh; then
++      # If we have ksh, try running configure again with it.
++      ORIGINAL_CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
++      export ORIGINAL_CONFIG_SHELL
++      CONFIG_SHELL=/bin/ksh
++      export CONFIG_SHELL
++      exec $CONFIG_SHELL "$0" --no-reexec ${1+"$@"}
++    else
++      # Try using printf.
++      echo='printf %s\n'
++      if test "X`($echo '\t') 2>/dev/null`" = 'X\t' &&
++       echo_testing_string=`($echo "$echo_test_string") 2>/dev/null` &&
++       test "X$echo_testing_string" = "X$echo_test_string"; then
++      # Cool, printf works
++      :
++      elif echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
++         test "X$echo_testing_string" = 'X\t' &&
++         echo_testing_string=`($ORIGINAL_CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
++         test "X$echo_testing_string" = "X$echo_test_string"; then
++      CONFIG_SHELL=$ORIGINAL_CONFIG_SHELL
++      export CONFIG_SHELL
++      SHELL="$CONFIG_SHELL"
++      export SHELL
++      echo="$CONFIG_SHELL $0 --fallback-echo"
++      elif echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo '\t') 2>/dev/null` &&
++         test "X$echo_testing_string" = 'X\t' &&
++         echo_testing_string=`($CONFIG_SHELL "$0" --fallback-echo "$echo_test_string") 2>/dev/null` &&
++         test "X$echo_testing_string" = "X$echo_test_string"; then
++      echo="$CONFIG_SHELL $0 --fallback-echo"
++      else
++      # maybe with a smaller string...
++      prev=:
++
++      for cmd in 'echo test' 'sed 2q "$0"' 'sed 10q "$0"' 'sed 20q "$0"' 'sed 50q "$0"'; do
++        if (test "X$echo_test_string" = "X`eval $cmd`") 2>/dev/null
++        then
++          break
++        fi
++        prev="$cmd"
++      done
++
++      if test "$prev" != 'sed 50q "$0"'; then
++        echo_test_string=`eval $prev`
++        export echo_test_string
++        exec ${ORIGINAL_CONFIG_SHELL-${CONFIG_SHELL-/bin/sh}} "$0" ${1+"$@"}
++      else
++        # Oops.  We lost completely, so just stick with echo.
++        echo=echo
++      fi
++      fi
++    fi
++  fi
++fi
++fi
++
++# Copy echo and quote the copy suitably for passing to libtool from
++# the Makefile, instead of quoting the original, which is used later.
++ECHO=$echo
++if test "X$ECHO" = "X$CONFIG_SHELL $0 --fallback-echo"; then
++   ECHO="$CONFIG_SHELL \\\$\$0 --fallback-echo"
++fi
++
+ # Name of the host.
+@@ -402,6 +413,7 @@
+ # Initializations.
+ #
+ ac_default_prefix=/usr/local
++ac_config_libobj_dir=.
+ cross_compiling=no
+ subdirs=
+ MFLAGS=
+@@ -458,6 +470,8 @@
+ # include <unistd.h>
+ #endif"
++ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE GC_VERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE CCAS CCASFLAGS AR ac_ct_AR RANLIB ac_ct_RANLIB MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GC_CFLAGS THREADLIBS POWERPC_DARWIN_TRUE POWERPC_DARWIN_FALSE EXTRA_TEST_LIBS target_all CPLUSPLUS_TRUE CPLUSPLUS_FALSE INCLUDES CXXINCLUDES addobjs addincludes addlibs addtests LN_S ECHO CPP EGREP LIBTOOL MY_CFLAGS USE_LIBDIR_TRUE USE_LIBDIR_FALSE LIBOBJS LTLIBOBJS'
++ac_subst_files=''
+ # Initialize some variables set by options.
+ ac_init_help=
+@@ -881,6 +895,9 @@
+    { (exit 1); exit 1; }; }
+   fi
+ fi
++(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
++  { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
++   { (exit 1); exit 1; }; }
+ srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
+ ac_env_build_alias_set=${build_alias+set}
+ ac_env_build_alias_value=$build_alias
+@@ -1080,7 +1097,7 @@
+ # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+ # absolute.
+ ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+-ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
++ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+@@ -1107,7 +1124,7 @@
+ if $ac_init_version; then
+   cat <<\_ACEOF
+ gc configure 6.3alpha2
+-generated by GNU Autoconf 2.53
++generated by GNU Autoconf 2.57
+ Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
+ Free Software Foundation, Inc.
+@@ -1122,7 +1139,7 @@
+ running configure, to aid debugging if configure makes a mistake.
+ It was created by gc $as_me 6.3alpha2, which was
+-generated by GNU Autoconf 2.53.  Invocation command line was
++generated by GNU Autoconf 2.57.  Invocation command line was
+   $ $0 $@
+@@ -1174,27 +1191,54 @@
+ # Keep a trace of the command line.
+ # Strip out --no-create and --no-recursion so they do not pile up.
++# Strip out --silent because we don't want to record it for future runs.
+ # Also quote any args containing shell meta-characters.
++# Make two passes to allow for proper duplicate-argument suppression.
+ ac_configure_args=
++ac_configure_args0=
++ac_configure_args1=
+ ac_sep=
+-for ac_arg
++ac_must_keep_next=false
++for ac_pass in 1 2
+ do
+-  case $ac_arg in
+-  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
+-  | --no-cr | --no-c | -n ) continue ;;
+-  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
+-  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
+-    continue ;;
+-  *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
+-    ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
+-  esac
+-  case " $ac_configure_args " in
+-    *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
+-    *) ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
+-       ac_sep=" " ;;
+-  esac
+-  # Get rid of the leading space.
++  for ac_arg
++  do
++    case $ac_arg in
++    -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
++    -q | -quiet | --quiet | --quie | --qui | --qu | --q \
++    | -silent | --silent | --silen | --sile | --sil)
++      continue ;;
++    *" "*|*"  "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
++      ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
++    esac
++    case $ac_pass in
++    1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
++    2)
++      ac_configure_args1="$ac_configure_args1 '$ac_arg'"
++      if test $ac_must_keep_next = true; then
++        ac_must_keep_next=false # Got value, back to normal.
++      else
++        case $ac_arg in
++          *=* | --config-cache | -C | -disable-* | --disable-* \
++          | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
++          | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
++          | -with-* | --with-* | -without-* | --without-* | --x)
++            case "$ac_configure_args0 " in
++              "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
++            esac
++            ;;
++          -* ) ac_must_keep_next=true ;;
++        esac
++      fi
++      ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
++      # Get rid of the leading space.
++      ac_sep=" "
++      ;;
++    esac
++  done
+ done
++$as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
++$as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
+ # When interrupted or exit'd, cleanup temporary files, and complete
+ # config.log.  We remove comments because anyway the quotes in there
+@@ -1205,6 +1249,7 @@
+   # Save into config.log some information that might help in debugging.
+   {
+     echo
++
+     cat <<\_ASBOX
+ ## ---------------- ##
+ ## Cache variables. ##
+@@ -1227,6 +1272,35 @@
+     esac;
+ }
+     echo
++
++    cat <<\_ASBOX
++## ----------------- ##
++## Output variables. ##
++## ----------------- ##
++_ASBOX
++    echo
++    for ac_var in $ac_subst_vars
++    do
++      eval ac_val=$`echo $ac_var`
++      echo "$ac_var='"'"'$ac_val'"'"'"
++    done | sort
++    echo
++
++    if test -n "$ac_subst_files"; then
++      cat <<\_ASBOX
++## ------------- ##
++## Output files. ##
++## ------------- ##
++_ASBOX
++      echo
++      for ac_var in $ac_subst_files
++      do
++      eval ac_val=$`echo $ac_var`
++        echo "$ac_var='"'"'$ac_val'"'"'"
++      done | sort
++      echo
++    fi
++
+     if test -s confdefs.h; then
+       cat <<\_ASBOX
+ ## ----------- ##
+@@ -1234,7 +1308,7 @@
+ ## ----------- ##
+ _ASBOX
+       echo
+-      sed "/^$/d" confdefs.h
++      sed "/^$/d" confdefs.h | sort
+       echo
+     fi
+     test "$ac_signal" != 0 &&
+@@ -1399,6 +1473,7 @@
++
+     ## version must conform to [0-9]+[.][0-9]+(alpha[0-9]+)?
+ ac_aux_dir=
+@@ -1743,15 +1818,15 @@
+   test -n "$AWK" && break
+ done
+-echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \${MAKE}" >&5
+-echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
++echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
++echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
+ set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
+ if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   cat >conftest.make <<\_ACEOF
+ all:
+-      @echo 'ac_maketemp="${MAKE}"'
++      @echo 'ac_maketemp="$(MAKE)"'
+ _ACEOF
+ # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
+ eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
+@@ -2116,9 +2191,7 @@
+     # However, it has the same basename, so the bogon will be chosen
+     # first if we set CC to just the basename; use the full file name.
+     shift
+-    set dummy "$as_dir/$ac_word" ${1+"$@"}
+-    shift
+-    ac_cv_prog_CC="$@"
++    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
+   fi
+ fi
+ fi
+@@ -2223,8 +2296,10 @@
+ fi
+-test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH" >&5
+-echo "$as_me: error: no acceptable C compiler found in \$PATH" >&2;}
++test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
++See \`config.log' for more details." >&5
++echo "$as_me: error: no acceptable C compiler found in \$PATH
++See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }
+ # Provide some information about the compiler.
+@@ -2249,14 +2324,12 @@
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2266,7 +2339,7 @@
+ }
+ _ACEOF
+ ac_clean_files_save=$ac_clean_files
+-ac_clean_files="$ac_clean_files a.out a.exe"
++ac_clean_files="$ac_clean_files a.out a.exe b.out"
+ # Try to create an executable without -o first, disregard a.out.
+ # It will help us diagnose broken compilers, and finding out an intuition
+ # of exeext.
+@@ -2285,26 +2358,39 @@
+ # Be careful to initialize this variable, since it used to be cached.
+ # Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
+ ac_cv_exeext=
+-for ac_file in `ls a_out.exe a.exe conftest.exe 2>/dev/null;
+-                ls a.out conftest 2>/dev/null;
+-                ls a.* conftest.* 2>/dev/null`; do
++# b.out is created by i960 compilers.
++for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
++do
++  test -f "$ac_file" || continue
+   case $ac_file in
+-    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb | *.xSYM ) ;;
+-    a.out ) # We found the default executable, but exeext='' is most
+-            # certainly right.
+-            break;;
+-    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
+-          # FIXME: I believe we export ac_cv_exeext for Libtool --akim.
+-          export ac_cv_exeext
+-          break;;
+-    * ) break;;
++    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
++        ;;
++    conftest.$ac_ext )
++        # This is the source file.
++        ;;
++    [ab].out )
++        # We found the default executable, but exeext='' is most
++        # certainly right.
++        break;;
++    *.* )
++        ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
++        # FIXME: I believe we export ac_cv_exeext for Libtool,
++        # but it would be cool to find out if it's true.  Does anybody
++        # maintain Libtool? --akim.
++        export ac_cv_exeext
++        break;;
++    * )
++        break;;
+   esac
+ done
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-{ { echo "$as_me:$LINENO: error: C compiler cannot create executables" >&5
+-echo "$as_me: error: C compiler cannot create executables" >&2;}
++sed 's/^/| /' conftest.$ac_ext >&5
++
++{ { echo "$as_me:$LINENO: error: C compiler cannot create executables
++See \`config.log' for more details." >&5
++echo "$as_me: error: C compiler cannot create executables
++See \`config.log' for more details." >&2;}
+    { (exit 77); exit 77; }; }
+ fi
+@@ -2331,9 +2417,11 @@
+       cross_compiling=yes
+     else
+       { { echo "$as_me:$LINENO: error: cannot run C compiled programs.
+-If you meant to cross compile, use \`--host'." >&5
++If you meant to cross compile, use \`--host'.
++See \`config.log' for more details." >&5
+ echo "$as_me: error: cannot run C compiled programs.
+-If you meant to cross compile, use \`--host'." >&2;}
++If you meant to cross compile, use \`--host'.
++See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }
+     fi
+   fi
+@@ -2341,7 +2429,7 @@
+ echo "$as_me:$LINENO: result: yes" >&5
+ echo "${ECHO_T}yes" >&6
+-rm -f a.out a.exe conftest$ac_cv_exeext
++rm -f a.out a.exe conftest$ac_cv_exeext b.out
+ ac_clean_files=$ac_clean_files_save
+ # Check the compiler produces executables we can run.  If not, either
+ # the compiler is broken, or we cross compile.
+@@ -2361,9 +2449,10 @@
+ # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
+ # work properly (i.e., refer to `conftest.exe'), while it won't with
+ # `rm'.
+-for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
++for ac_file in conftest.exe conftest conftest.*; do
++  test -f "$ac_file" || continue
+   case $ac_file in
+-    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
++    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
+     *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
+           export ac_cv_exeext
+           break;;
+@@ -2371,8 +2460,10 @@
+   esac
+ done
+ else
+-  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link" >&5
+-echo "$as_me: error: cannot compute suffix of executables: cannot compile and link" >&2;}
++  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
++See \`config.log' for more details." >&5
++echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
++See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+@@ -2390,14 +2481,12 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2414,16 +2503,19 @@
+   (exit $ac_status); }; then
+   for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
+   case $ac_file in
+-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
++    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
+     *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
+        break;;
+   esac
+ done
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile" >&5
+-echo "$as_me: error: cannot compute suffix of object files: cannot compile" >&2;}
++sed 's/^/| /' conftest.$ac_ext >&5
++
++{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
++See \`config.log' for more details." >&5
++echo "$as_me: error: cannot compute suffix of object files: cannot compile
++See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+@@ -2440,14 +2532,12 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2474,7 +2564,8 @@
+   ac_compiler_gnu=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_compiler_gnu=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -2494,14 +2585,12 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2525,7 +2614,8 @@
+   ac_cv_prog_cc_g=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_prog_cc_g=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -2547,6 +2637,102 @@
+     CFLAGS=
+   fi
+ fi
++echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
++echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
++if test "${ac_cv_prog_cc_stdc+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_cv_prog_cc_stdc=no
++ac_save_CC=$CC
++cat >conftest.$ac_ext <<_ACEOF
++#line $LINENO "configure"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#include <stdarg.h>
++#include <stdio.h>
++#include <sys/types.h>
++#include <sys/stat.h>
++/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
++struct buf { int x; };
++FILE * (*rcsopen) (struct buf *, struct stat *, int);
++static char *e (p, i)
++     char **p;
++     int i;
++{
++  return p[i];
++}
++static char *f (char * (*g) (char **, int), char **p, ...)
++{
++  char *s;
++  va_list v;
++  va_start (v,p);
++  s = g (p, va_arg (v,int));
++  va_end (v);
++  return s;
++}
++int test (int i, double x);
++struct s1 {int (*f) (int a);};
++struct s2 {int (*f) (double a);};
++int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
++int argc;
++char **argv;
++int
++main ()
++{
++return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
++  ;
++  return 0;
++}
++_ACEOF
++# Don't try gcc -ansi; that turns off useful extensions and
++# breaks some systems' header files.
++# AIX                 -qlanglvl=ansi
++# Ultrix and OSF/1    -std1
++# HP-UX 10.20 and later       -Ae
++# HP-UX older versions        -Aa -D_HPUX_SOURCE
++# SVR4                        -Xc -D__EXTENSIONS__
++for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
++do
++  CC="$ac_save_CC $ac_arg"
++  rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++         { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_prog_cc_stdc=$ac_arg
++break
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++fi
++rm -f conftest.$ac_objext
++done
++rm -f conftest.$ac_ext conftest.$ac_objext
++CC=$ac_save_CC
++
++fi
++
++case "x$ac_cv_prog_cc_stdc" in
++  x|xno)
++    echo "$as_me:$LINENO: result: none needed" >&5
++echo "${ECHO_T}none needed" >&6 ;;
++  *)
++    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
++echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
++    CC="$CC $ac_cv_prog_cc_stdc" ;;
++esac
++
+ # Some people use a C++ compiler to compile C.  Since we use `exit',
+ # in C++ we need to declare it.  In case someone uses the same compiler
+ # for both compiling C and C++ we need to have the C++ compiler decide
+@@ -2579,15 +2765,13 @@
+ do
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <stdlib.h>
+ $ac_declaration
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2611,20 +2795,19 @@
+   :
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ continue
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ $ac_declaration
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2648,7 +2831,8 @@
+   break
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ done
+@@ -2661,7 +2845,8 @@
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ ac_ext=c
+@@ -2680,7 +2865,7 @@
+ rmdir .deps 2>/dev/null
+-ac_config_commands="$ac_config_commands depfiles"
++          ac_config_commands="$ac_config_commands depfiles"
+ am_make=${MAKE-make}
+@@ -2932,14 +3117,12 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -2966,7 +3149,8 @@
+   ac_compiler_gnu=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_compiler_gnu=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -2986,14 +3170,12 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -3017,7 +3199,8 @@
+   ac_cv_prog_cxx_g=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_prog_cxx_g=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -3050,15 +3233,13 @@
+ do
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <stdlib.h>
+ $ac_declaration
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -3082,20 +3263,19 @@
+   :
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ continue
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ $ac_declaration
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -3119,7 +3299,8 @@
+   break
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+ done
+@@ -3751,7 +3932,11 @@
+ LIBS="-ldl  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+@@ -3760,12 +3945,6 @@
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char dlopen ();
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -3789,7 +3968,8 @@
+   ac_cv_lib_dl_dlopen=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_lib_dl_dlopen=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -3936,6 +4116,13 @@
+     ;;
+  mips*-*-linux*)
+     ;;
++ mips-unknown-elf*)
++    machdep="mips2java_mach_dep.lo"
++    cat >>confdefs.h <<\_ACEOF
++#define MIPS2JAVA 1
++_ACEOF
++
++    ;;
+  mips-*-*)
+     machdep="mips_sgi_mach_dep.lo"
+     cat >>confdefs.h <<\_ACEOF
+@@ -4595,18 +4782,28 @@
+ do
+   # Use a header file that comes with gcc, so configuring glibc
+   # with a fresh cross-compiler works.
++  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
++  # <limits.h> exists even on freestanding compilers.
+   # On the NeXT, cc -E runs the code through the compiler's parser,
+   # not just through cpp. "Syntax error" is here to catch this case.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
+-#include <assert.h>
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#ifdef __STDC__
++# include <limits.h>
++#else
++# include <assert.h>
++#endif
+                      Syntax error
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -4623,7 +4820,8 @@
+   :
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   # Broken: fails on valid input.
+ continue
+ fi
+@@ -4633,13 +4831,17 @@
+   # can be detected and how.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <ac_nonexistent.h>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -4657,7 +4859,8 @@
+ continue
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   # Passes both tests.
+ ac_preproc_ok=:
+ break
+@@ -4686,18 +4889,28 @@
+ do
+   # Use a header file that comes with gcc, so configuring glibc
+   # with a fresh cross-compiler works.
++  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
++  # <limits.h> exists even on freestanding compilers.
+   # On the NeXT, cc -E runs the code through the compiler's parser,
+   # not just through cpp. "Syntax error" is here to catch this case.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
+-#include <assert.h>
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#ifdef __STDC__
++# include <limits.h>
++#else
++# include <assert.h>
++#endif
+                      Syntax error
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -4714,7 +4927,8 @@
+   :
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   # Broken: fails on valid input.
+ continue
+ fi
+@@ -4724,13 +4938,17 @@
+   # can be detected and how.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <ac_nonexistent.h>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -4748,7 +4966,8 @@
+ continue
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   # Passes both tests.
+ ac_preproc_ok=:
+ break
+@@ -4761,8 +4980,10 @@
+ if $ac_preproc_ok; then
+   :
+ else
+-  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check" >&5
+-echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
++  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
++See \`config.log' for more details." >&5
++echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
++See \`config.log' for more details." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+@@ -4773,6 +4994,21 @@
+ ac_compiler_gnu=$ac_cv_c_compiler_gnu
++echo "$as_me:$LINENO: checking for egrep" >&5
++echo $ECHO_N "checking for egrep... $ECHO_C" >&6
++if test "${ac_cv_prog_egrep+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
++    then ac_cv_prog_egrep='grep -E'
++    else ac_cv_prog_egrep='egrep'
++    fi
++fi
++echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
++echo "${ECHO_T}$ac_cv_prog_egrep" >&6
++ EGREP=$ac_cv_prog_egrep
++
++
+ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+ echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+ if test "${ac_cv_header_stdc+set}" = set; then
+@@ -4780,48 +5016,59 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <stdlib.h>
+ #include <stdarg.h>
+ #include <string.h>
+ #include <float.h>
++int
++main ()
++{
++
++  ;
++  return 0;
++}
+ _ACEOF
+-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>&5
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } >/dev/null; then
+-  if test -s conftest.err; then
+-    ac_cpp_err=$ac_c_preproc_warn_flag
+-  else
+-    ac_cpp_err=
+-  fi
+-else
+-  ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
++  (exit $ac_status); } &&
++         { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
+   ac_cv_header_stdc=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
+-  ac_cv_header_stdc=no
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_header_stdc=no
+ fi
+-rm -f conftest.err conftest.$ac_ext
++rm -f conftest.$ac_objext conftest.$ac_ext
+ if test $ac_cv_header_stdc = yes; then
+   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <string.h>
+ _ACEOF
+ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+-  egrep "memchr" >/dev/null 2>&1; then
++  $EGREP "memchr" >/dev/null 2>&1; then
+   :
+ else
+   ac_cv_header_stdc=no
+@@ -4834,12 +5081,16 @@
+   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <stdlib.h>
+ _ACEOF
+ if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+-  egrep "free" >/dev/null 2>&1; then
++  $EGREP "free" >/dev/null 2>&1; then
+   :
+ else
+   ac_cv_header_stdc=no
+@@ -4855,13 +5106,18 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <ctype.h>
+ #if ((' ' & 0x0FF) == 0x020)
+ # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
+ # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
+ #else
+-# define ISLOWER(c) (('a' <= (c) && (c) <= 'i') \
++# define ISLOWER(c) \
++                   (('a' <= (c) && (c) <= 'i') \
+                      || ('j' <= (c) && (c) <= 'r') \
+                      || ('s' <= (c) && (c) <= 'z'))
+ # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
+@@ -4894,11 +5150,12 @@
+ else
+   echo "$as_me: program exited with status $ac_status" >&5
+ echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ( exit $ac_status )
+ ac_cv_header_stdc=no
+ fi
+-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
++rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+ fi
+ fi
+ fi
+@@ -4933,7 +5190,11 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ $ac_includes_default
+ #include <$ac_header>
+@@ -4953,7 +5214,8 @@
+   eval "$as_ac_Header=yes"
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ eval "$as_ac_Header=no"
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -4988,7 +5250,11 @@
+ echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ $ac_includes_default
+ #include <$ac_header>
+ _ACEOF
+@@ -5007,7 +5273,8 @@
+   ac_header_compiler=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_header_compiler=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -5019,13 +5286,17 @@
+ echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <$ac_header>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -5042,7 +5313,8 @@
+   ac_header_preproc=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   ac_header_preproc=no
+ fi
+ rm -f conftest.err conftest.$ac_ext
+@@ -5055,14 +5327,32 @@
+     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+ echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf@gnu.org. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
+   no:yes )
+     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+ echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+ echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf@gnu.org. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
+ esac
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+ echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+@@ -5403,7 +5693,7 @@
+ case $host in
+ *-*-irix6*)
+   # Find out which ABI we are using.
+-  echo '#line 5406 "configure"' > conftest.$ac_ext
++  echo '#line 5696 "configure"' > conftest.$ac_ext
+   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+@@ -5443,14 +5733,12 @@
+      cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -5474,7 +5762,8 @@
+   lt_cv_cc_needs_belf=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ lt_cv_cc_needs_belf=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -5777,14 +6066,12 @@
+     CFLAGS="$CFLAGS $lt_cv_prog_cc_pic -DPIC"
+     cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -5823,7 +6110,8 @@
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+       lt_cv_prog_cc_pic_works=no
+ fi
+@@ -5866,14 +6154,12 @@
+   LDFLAGS="$LDFLAGS $lt_cv_prog_cc_static"
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -5897,7 +6183,8 @@
+   lt_cv_prog_cc_static_works=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+   LDFLAGS="$save_LDFLAGS"
+@@ -5939,7 +6226,7 @@
+ save_CFLAGS="$CFLAGS"
+ CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
+ compiler_c_o=no
+-if { (eval echo configure:5942: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
++if { (eval echo configure:6229: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+   # The compiler can only warn and ignore the option if not recognized
+   # So say no if there are warnings
+   if test -s out/conftest.err; then
+@@ -5981,14 +6268,12 @@
+   ac_objext=lo
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -6019,7 +6304,8 @@
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+   ac_objext="$save_objext"
+@@ -6067,14 +6353,12 @@
+   compiler_rtti_exceptions=no
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -6105,7 +6389,8 @@
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+   CFLAGS="$save_CFLAGS"
+@@ -7326,37 +7611,44 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* System header to define __stub macros and hopefully few prototypes,
+-    which can conflict with char shl_load (); below.  */
+-#include <assert.h>
++    which can conflict with char shl_load (); below.
++    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
++    <limits.h> exists even on freestanding compilers.  */
++#ifdef __STDC__
++# include <limits.h>
++#else
++# include <assert.h>
++#endif
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
++{
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char shl_load ();
+-char (*f) ();
+-
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+-int
+-main ()
+-{
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_shl_load) || defined (__stub___shl_load)
+ choke me
+ #else
+-f = shl_load;
++char (*f) () = shl_load;
++#endif
++#ifdef __cplusplus
++}
+ #endif
++int
++main ()
++{
++return f != shl_load;
+   ;
+   return 0;
+ }
+@@ -7376,7 +7668,8 @@
+   ac_cv_func_shl_load=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_func_shl_load=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7395,7 +7688,11 @@
+ LIBS="-ldld  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+@@ -7404,12 +7701,6 @@
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char shl_load ();
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -7433,7 +7724,8 @@
+   ac_cv_lib_dld_shl_load=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_lib_dld_shl_load=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7451,37 +7743,44 @@
+ else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* System header to define __stub macros and hopefully few prototypes,
+-    which can conflict with char dlopen (); below.  */
+-#include <assert.h>
++    which can conflict with char dlopen (); below.
++    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
++    <limits.h> exists even on freestanding compilers.  */
++#ifdef __STDC__
++# include <limits.h>
++#else
++# include <assert.h>
++#endif
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+ extern "C"
++{
+ #endif
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char dlopen ();
+-char (*f) ();
+-
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+-int
+-main ()
+-{
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_dlopen) || defined (__stub___dlopen)
+ choke me
+ #else
+-f = dlopen;
++char (*f) () = dlopen;
++#endif
++#ifdef __cplusplus
++}
+ #endif
++int
++main ()
++{
++return f != dlopen;
+   ;
+   return 0;
+ }
+@@ -7501,7 +7800,8 @@
+   ac_cv_func_dlopen=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_func_dlopen=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7520,7 +7820,11 @@
+ LIBS="-ldl  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+@@ -7529,12 +7833,6 @@
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char dlopen ();
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -7558,7 +7856,8 @@
+   ac_cv_lib_dl_dlopen=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_lib_dl_dlopen=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7578,7 +7877,11 @@
+ LIBS="-lsvld  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+@@ -7587,12 +7890,6 @@
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char dlopen ();
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -7616,7 +7913,8 @@
+   ac_cv_lib_svld_dlopen=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_lib_svld_dlopen=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7636,7 +7934,11 @@
+ LIBS="-ldld  $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ #ifdef __cplusplus
+@@ -7645,12 +7947,6 @@
+ /* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+ char dld_link ();
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+ int
+ main ()
+ {
+@@ -7674,7 +7970,8 @@
+   ac_cv_lib_dld_dld_link=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_cv_lib_dld_dld_link=no
+ fi
+ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+@@ -7732,7 +8029,7 @@
+     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 7735 "configure"
++#line 8032 "configure"
+ #include "confdefs.h"
+ #if HAVE_DLFCN_H
+@@ -7830,7 +8127,7 @@
+     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 7833 "configure"
++#line 8130 "configure"
+ #include "confdefs.h"
+ #if HAVE_DLFCN_H
+@@ -8575,7 +8872,11 @@
+ echo $ECHO_N "checking sys/dg_sys_info.h usability... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ $ac_includes_default
+ #include <sys/dg_sys_info.h>
+ _ACEOF
+@@ -8594,7 +8895,8 @@
+   ac_header_compiler=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+ ac_header_compiler=no
+ fi
+ rm -f conftest.$ac_objext conftest.$ac_ext
+@@ -8606,13 +8908,17 @@
+ echo $ECHO_N "checking sys/dg_sys_info.h presence... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+-#include "confdefs.h"
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
+ #include <sys/dg_sys_info.h>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
++  grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+@@ -8629,7 +8935,8 @@
+   ac_header_preproc=yes
+ else
+   echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
+   ac_header_preproc=no
+ fi
+ rm -f conftest.err conftest.$ac_ext
+@@ -8642,14 +8949,32 @@
+     { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: accepted by the compiler, rejected by the preprocessor!" >&5
+ echo "$as_me: WARNING: sys/dg_sys_info.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+     { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;};;
++echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf@gnu.org. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
+   no:yes )
+     { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: present but cannot be compiled" >&5
+ echo "$as_me: WARNING: sys/dg_sys_info.h: present but cannot be compiled" >&2;}
+     { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: check for missing prerequisite headers?" >&5
+ echo "$as_me: WARNING: sys/dg_sys_info.h: check for missing prerequisite headers?" >&2;}
+     { echo "$as_me:$LINENO: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&5
+-echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;};;
++echo "$as_me: WARNING: sys/dg_sys_info.h: proceeding with the preprocessor's result" >&2;}
++    (
++      cat <<\_ASBOX
++## ------------------------------------ ##
++## Report this to bug-autoconf@gnu.org. ##
++## ------------------------------------ ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
+ esac
+ echo "$as_me:$LINENO: checking for sys/dg_sys_info.h" >&5
+ echo $ECHO_N "checking for sys/dg_sys_info.h... $ECHO_C" >&6
+@@ -8880,8 +9205,8 @@
+ fi
+-ac_config_files="$ac_config_files Makefile doc/Makefile include/Makefile"
+-ac_config_commands="$ac_config_commands default"
++                              ac_config_files="$ac_config_files Makefile doc/Makefile include/Makefile"
++          ac_config_commands="$ac_config_commands default"
+ cat >confcache <<\_ACEOF
+ # This file is a shell script that caches the results of configure
+ # tests run on this system so they can be shared between configure
+@@ -8892,7 +9217,7 @@
+ # config.status only pays attention to the cache file if you give it
+ # the --recheck option to rerun configure.
+ #
+-# `ac_cv_env_foo' variables (set or unset) will be overriden when
++# `ac_cv_env_foo' variables (set or unset) will be overridden when
+ # loading this file, other *unset* `ac_cv_foo' will be assigned the
+ # following values.
+@@ -8927,7 +9252,7 @@
+      t end
+      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
+      : end' >>confcache
+-if cmp -s $cache_file confcache; then :; else
++if diff $cache_file confcache >/dev/null 2>&1; then :; else
+   if test -w $cache_file; then
+     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
+     cat confcache >$cache_file
+@@ -8989,6 +9314,21 @@
+ rm -f confdef2opt.sed
++ac_libobjs=
++ac_ltlibobjs=
++for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
++  # 1. Remove the extension, and $U if already installed.
++  ac_i=`echo "$ac_i" |
++         sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
++  # 2. Add them.
++  ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
++  ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
++done
++LIBOBJS=$ac_libobjs
++
++LTLIBOBJS=$ac_ltlibobjs
++
++
+ if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
+   { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
+ Usually this means the macro was only invoked conditionally." >&5
+@@ -9038,11 +9378,12 @@
+ # configure, is in config.log if it exists.
+ debug=false
++ac_cs_recheck=false
++ac_cs_silent=false
+ SHELL=\${CONFIG_SHELL-$SHELL}
+ _ACEOF
+ cat >>$CONFIG_STATUS <<\_ACEOF
+-
+ ## --------------------- ##
+ ## M4sh Initialization.  ##
+ ## --------------------- ##
+@@ -9051,11 +9392,13 @@
+ if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+   emulate sh
+   NULLCMD=:
++  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
++  # is contrary to our usage.  Disable this feature.
++  alias -g '${1+"$@"}'='"$@"'
+ elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
+   set -o posix
+ fi
+-# NLS nuisances.
+ # Support unset when possible.
+ if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
+   as_unset=unset
+@@ -9063,34 +9406,42 @@
+   as_unset=false
+ fi
+-(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
+-    { $as_unset LANG || test "${LANG+set}" != set; } ||
+-      { LANG=C; export LANG; }
+-(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
+-    { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
+-      { LC_ALL=C; export LC_ALL; }
+-(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
+-    { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
+-      { LC_TIME=C; export LC_TIME; }
+-(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
+-    { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
+-      { LC_CTYPE=C; export LC_CTYPE; }
+-(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
+-    { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
+-      { LANGUAGE=C; export LANGUAGE; }
+-(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
+-    { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
+-      { LC_COLLATE=C; export LC_COLLATE; }
+-(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
+-    { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
+-      { LC_NUMERIC=C; export LC_NUMERIC; }
+-(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
+-    { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
+-      { LC_MESSAGES=C; export LC_MESSAGES; }
++
++# Work around bugs in pre-3.0 UWIN ksh.
++$as_unset ENV MAIL MAILPATH
++PS1='$ '
++PS2='> '
++PS4='+ '
++
++# NLS nuisances.
++for as_var in \
++  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
++  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
++  LC_TELEPHONE LC_TIME
++do
++  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
++    eval $as_var=C; export $as_var
++  else
++    $as_unset $as_var
++  fi
++done
++
++# Required to use basename.
++if expr a : '\(a\)' >/dev/null 2>&1; then
++  as_expr=expr
++else
++  as_expr=false
++fi
++
++if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
++  as_basename=basename
++else
++  as_basename=false
++fi
+ # Name of the executable.
+-as_me=`(basename "$0") 2>/dev/null ||
++as_me=`$as_basename "$0" ||
+ $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
+        X"$0" : 'X\(//\)$' \| \
+        X"$0" : 'X\(/\)$' \| \
+@@ -9101,6 +9452,7 @@
+         /^X\/\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
++
+ # PATH needs CR, and LINENO needs CR and PATH.
+ # Avoid depending upon Character Ranges.
+ as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+@@ -9111,15 +9463,15 @@
+ # The user is always right.
+ if test "${PATH_SEPARATOR+set}" != set; then
+-  echo "#! /bin/sh" >conftest.sh
+-  echo  "exit 0"   >>conftest.sh
+-  chmod +x conftest.sh
+-  if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
++  echo "#! /bin/sh" >conf$$.sh
++  echo  "exit 0"   >>conf$$.sh
++  chmod +x conf$$.sh
++  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
+     PATH_SEPARATOR=';'
+   else
+     PATH_SEPARATOR=:
+   fi
+-  rm -f conftest.sh
++  rm -f conf$$.sh
+ fi
+@@ -9168,6 +9520,8 @@
+   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
+   test "x$as_lineno_1" != "x$as_lineno_2" &&
+   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
++           $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
++           $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
+            CONFIG_SHELL=$as_dir/$as_base
+            export CONFIG_SHELL
+            exec "$CONFIG_SHELL" "$0" ${1+"$@"}
+@@ -9241,6 +9595,12 @@
+ fi
+ rm -f conf$$ conf$$.exe conf$$.file
++if mkdir -p . 2>/dev/null; then
++  as_mkdir_p=:
++else
++  as_mkdir_p=false
++fi
++
+ as_executable_p="test -f"
+ # Sed expression to map a string onto a valid CPP name.
+@@ -9257,7 +9617,7 @@
+ IFS="         $as_nl"
+ # CDPATH.
+-$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
++$as_unset CDPATH
+ exec 6>&1
+@@ -9274,7 +9634,7 @@
+ cat >&5 <<_CSEOF
+ This file was extended by gc $as_me 6.3alpha2, which was
+-generated by GNU Autoconf 2.53.  Invocation command line was
++generated by GNU Autoconf 2.57.  Invocation command line was
+   CONFIG_FILES    = $CONFIG_FILES
+   CONFIG_HEADERS  = $CONFIG_HEADERS
+@@ -9314,6 +9674,7 @@
+   -h, --help       print this help, then exit
+   -V, --version    print version number, then exit
++  -q, --quiet      do not print progress messages
+   -d, --debug      don't remove temporary files
+       --recheck    update $as_me by reconfiguring in the same conditions
+   --file=FILE[:TEMPLATE]
+@@ -9331,7 +9692,7 @@
+ cat >>$CONFIG_STATUS <<_ACEOF
+ ac_cs_version="\\
+ gc config.status 6.3alpha2
+-configured by $0, generated by GNU Autoconf 2.53,
++configured by $0, generated by GNU Autoconf 2.57,
+   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
+ Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
+@@ -9352,25 +9713,25 @@
+   --*=*)
+     ac_option=`expr "x$1" : 'x\([^=]*\)='`
+     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
+-    shift
+-    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
+-    shift
++    ac_shift=:
++    ;;
++  -*)
++    ac_option=$1
++    ac_optarg=$2
++    ac_shift=shift
+     ;;
+-  -*);;
+   *) # This is not an option, so the user has probably given explicit
+      # arguments.
++     ac_option=$1
+      ac_need_defaults=false;;
+   esac
+-  case $1 in
++  case $ac_option in
+   # Handling of the options.
+ _ACEOF
+-cat >>$CONFIG_STATUS <<_ACEOF
+-  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
+-    echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
+-    exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
+-_ACEOF
+ cat >>$CONFIG_STATUS <<\_ACEOF
++  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
++    ac_cs_recheck=: ;;
+   --version | --vers* | -V )
+     echo "$ac_cs_version"; exit 0 ;;
+   --he | --h)
+@@ -9385,13 +9746,16 @@
+   --debug | --d* | -d )
+     debug=: ;;
+   --file | --fil | --fi | --f )
+-    shift
+-    CONFIG_FILES="$CONFIG_FILES $1"
++    $ac_shift
++    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
+     ac_need_defaults=false;;
+   --header | --heade | --head | --hea )
+-    shift
+-    CONFIG_HEADERS="$CONFIG_HEADERS $1"
++    $ac_shift
++    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
+     ac_need_defaults=false;;
++  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
++  | -silent | --silent | --silen | --sile | --sil | --si | --s)
++    ac_cs_silent=: ;;
+   # This is an error.
+   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
+@@ -9406,6 +9770,20 @@
+   shift
+ done
++ac_configure_extra_args=
++
++if $ac_cs_silent; then
++  exec 6>/dev/null
++  ac_configure_extra_args="$ac_configure_extra_args --silent"
++fi
++
++_ACEOF
++cat >>$CONFIG_STATUS <<_ACEOF
++if \$ac_cs_recheck; then
++  echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
++  exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
++fi
++
+ _ACEOF
+ cat >>$CONFIG_STATUS <<_ACEOF
+@@ -9450,6 +9828,9 @@
+   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
+ fi
++# Have a temporary directory for convenience.  Make it in the build tree
++# simply because there is no reason to put it here, and in addition,
++# creating and moving files from /tmp can sometimes cause problems.
+ # Create a temporary directory, and hook for its removal unless debugging.
+ $debug ||
+ {
+@@ -9458,17 +9839,17 @@
+ }
+ # Create a (secure) tmp directory for tmp files.
+-: ${TMPDIR=/tmp}
++
+ {
+-  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
++  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
+   test -n "$tmp" && test -d "$tmp"
+ }  ||
+ {
+-  tmp=$TMPDIR/cs$$-$RANDOM
++  tmp=./confstat$$-$RANDOM
+   (umask 077 && mkdir $tmp)
+ } ||
+ {
+-   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
++   echo "$me: cannot create a temporary directory in ." >&2
+    { (exit 1); exit 1; }
+ }
+@@ -9590,10 +9971,13 @@
+ s,@LN_S@,$LN_S,;t t
+ s,@ECHO@,$ECHO,;t t
+ s,@CPP@,$CPP,;t t
++s,@EGREP@,$EGREP,;t t
+ s,@LIBTOOL@,$LIBTOOL,;t t
+ s,@MY_CFLAGS@,$MY_CFLAGS,;t t
+ s,@USE_LIBDIR_TRUE@,$USE_LIBDIR_TRUE,;t t
+ s,@USE_LIBDIR_FALSE@,$USE_LIBDIR_FALSE,;t t
++s,@LIBOBJS@,$LIBOBJS,;t t
++s,@LTLIBOBJS@,$LTLIBOBJS,;t t
+ CEOF
+ _ACEOF
+@@ -9664,25 +10048,30 @@
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
+-  { case "$ac_dir" in
+-  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
+-  *)                      as_incr_dir=.;;
+-esac
+-as_dummy="$ac_dir"
+-for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
+-  case $as_mkdir_dir in
+-    # Skip DOS drivespec
+-    ?:) as_incr_dir=$as_mkdir_dir ;;
+-    *)
+-      as_incr_dir=$as_incr_dir/$as_mkdir_dir
+-      test -d "$as_incr_dir" ||
+-        mkdir "$as_incr_dir" ||
+-      { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
+-echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
+-   { (exit 1); exit 1; }; }
+-    ;;
+-  esac
+-done; }
++  { if $as_mkdir_p; then
++    mkdir -p "$ac_dir"
++  else
++    as_dir="$ac_dir"
++    as_dirs=
++    while test ! -d "$as_dir"; do
++      as_dirs="$as_dir $as_dirs"
++      as_dir=`(dirname "$as_dir") 2>/dev/null ||
++$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
++         X"$as_dir" : 'X\(//\)[^/]' \| \
++         X"$as_dir" : 'X\(//\)$' \| \
++         X"$as_dir" : 'X\(/\)' \| \
++         .     : '\(.\)' 2>/dev/null ||
++echo X"$as_dir" |
++    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
++        /^X\(\/\/\)[^/].*/{ s//\1/; q; }
++        /^X\(\/\/\)$/{ s//\1/; q; }
++        /^X\(\/\).*/{ s//\1/; q; }
++        s/.*/./; q'`
++    done
++    test ! -n "$as_dirs" || mkdir $as_dirs
++  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
++echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
++   { (exit 1); exit 1; }; }; }
+   ac_builddir=.
+@@ -9712,7 +10101,7 @@
+ # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+ # absolute.
+ ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+-ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
++ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+@@ -9842,7 +10231,7 @@
+ # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
+ # absolute.
+ ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
+-ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
++ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
+ ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
+ ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
+@@ -9911,25 +10300,30 @@
+         /^X\(\/\/\)$/{ s//\1/; q; }
+         /^X\(\/\).*/{ s//\1/; q; }
+         s/.*/./; q'`
+-    { case $dirpart/$fdir in
+-  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
+-  *)                      as_incr_dir=.;;
+-esac
+-as_dummy=$dirpart/$fdir
+-for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
+-  case $as_mkdir_dir in
+-    # Skip DOS drivespec
+-    ?:) as_incr_dir=$as_mkdir_dir ;;
+-    *)
+-      as_incr_dir=$as_incr_dir/$as_mkdir_dir
+-      test -d "$as_incr_dir" ||
+-        mkdir "$as_incr_dir" ||
+-      { { echo "$as_me:$LINENO: error: cannot create $dirpart/$fdir" >&5
+-echo "$as_me: error: cannot create $dirpart/$fdir" >&2;}
+-   { (exit 1); exit 1; }; }
+-    ;;
+-  esac
+-done; }
++    { if $as_mkdir_p; then
++    mkdir -p $dirpart/$fdir
++  else
++    as_dir=$dirpart/$fdir
++    as_dirs=
++    while test ! -d "$as_dir"; do
++      as_dirs="$as_dir $as_dirs"
++      as_dir=`(dirname "$as_dir") 2>/dev/null ||
++$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
++         X"$as_dir" : 'X\(//\)[^/]' \| \
++         X"$as_dir" : 'X\(//\)$' \| \
++         X"$as_dir" : 'X\(/\)' \| \
++         .     : '\(.\)' 2>/dev/null ||
++echo X"$as_dir" |
++    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
++        /^X\(\/\/\)[^/].*/{ s//\1/; q; }
++        /^X\(\/\/\)$/{ s//\1/; q; }
++        /^X\(\/\).*/{ s//\1/; q; }
++        s/.*/./; q'`
++    done
++    test ! -n "$as_dirs" || mkdir $as_dirs
++  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
++echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
++   { (exit 1); exit 1; }; }; }
+     # echo "creating $dirpart/$file"
+     echo '# dummy' > "$dirpart/$file"
+@@ -9958,8 +10352,11 @@
+ # need to make the FD available again.
+ if test "$no_create" != yes; then
+   ac_cs_success=:
++  ac_config_status_args=
++  test "$silent" = yes &&
++    ac_config_status_args="$ac_config_status_args --quiet"
+   exec 5>/dev/null
+-  $SHELL $CONFIG_STATUS || ac_cs_success=false
++  $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
+   exec 5>>config.log
+   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
+   # would make configure fail if this is the last instruction.
+diff -ruN ../gc6.3alpha2/configure.in ./configure.in
+--- ../gc6.3alpha2/configure.in        Mon Sep 29 14:13:34 2003
++++ ./configure.in     Wed Nov 19 04:17:15 2003
+@@ -275,6 +275,10 @@
+     ;;
+  mips*-*-linux*) 
+     ;; 
++ mips-unknown-elf*)
++    machdep="mips2java_mach_dep.lo"
++    AC_DEFINE(MIPS2JAVA)
++    ;;
+  mips-*-*)
+     machdep="mips_sgi_mach_dep.lo"
+     AC_DEFINE(NO_EXECUTE_PERMISSION)
+diff -ruN ../gc6.3alpha2/include/private/gcconfig.h ./include/private/gcconfig.h
+--- ../gc6.3alpha2/include/private/gcconfig.h  Wed Sep  3 14:16:01 2003
++++ ./include/private/gcconfig.h       Wed Nov 19 04:47:25 2003
+@@ -115,7 +115,7 @@
+ #    if defined(nec_ews) || defined(_nec_ews)
+ #      define EWS4800
+ #    endif
+-#    if !defined(LINUX) && !defined(EWS4800)
++#    if !defined(LINUX) && !defined(EWS4800) && !defined(MIPS2JAVA)
+ #      if defined(ultrix) || defined(__ultrix) || defined(__NetBSD__)
+ #      define ULTRIX
+ #      else
+@@ -1236,6 +1236,16 @@
+ # ifdef MIPS
+ #   define MACH_TYPE "MIPS"
++
++#   ifdef MIPS2JAVA
++extern int _etext[];
++extern int _end[];
++#   define ALIGNMENT 4
++#   define STACKBOTTOM 0x10000000
++#   define DATASTART (_etext)
++#   define DATAEND (_end)
++#   endif /* MIPS2JAVA */
++
+ #   ifdef LINUX
+       /* This was developed for a linuxce style platform.  Probably   */
+       /* needs to be tweaked for workstation class machines.          */
+diff -ruN ../gc6.3alpha2/mips2java_mach_dep.s ./mips2java_mach_dep.s
+--- ../gc6.3alpha2/mips2java_mach_dep.s        Wed Dec 31 19:00:00 1969
++++ ./mips2java_mach_dep.s     Wed Nov 19 04:56:28 2003
+@@ -0,0 +1,43 @@
++    .set    noreorder
++    .text
++    .align    2
++    .globl  GC_push_regs
++    .ent    GC_push_regs
++GC_push_regs:
++    subu $sp,$sp,24
++    sw $31,20($sp)
++    
++    jal GC_push_one
++    move $4,$1
++    jal GC_push_one
++    move $4,$16
++    jal GC_push_one
++    move $4,$17
++    jal GC_push_one
++    move $4,$18
++    jal GC_push_one
++    move $4,$19
++    jal GC_push_one
++    move $4,$20
++    jal GC_push_one
++    move $4,$21
++    jal GC_push_one
++    move $4,$22
++    jal GC_push_one
++    move $4,$23
++    jal GC_push_one
++    move $4,$26
++    jal GC_push_one
++    move $4,$27
++    jal GC_push_one
++    move $4,$28
++    jal GC_push_one
++    move $4,$29
++    jal GC_push_one
++    move $4,$30
++    
++    lw $31,20($sp)
++      j $31
++    addu $sp,$sp,24
++    
++    .end GC_push_regs
+diff -ruN ../gc6.3alpha2/os_dep.c ./os_dep.c
+--- ../gc6.3alpha2/os_dep.c    Mon Sep 22 18:49:47 2003
++++ ./os_dep.c Wed Nov 19 04:12:13 2003
+@@ -497,7 +497,7 @@
+ #  if !defined(PCR) && !defined(AMIGA) && !defined(MSWIN32) \
+       && !defined(MSWINCE) \
+       && !defined(MACOS) && !defined(DJGPP) && !defined(DOS4GW) \
+-      && !defined(NOSYS) && !defined(ECOS)
++      && !defined(NOSYS) && !defined(ECOS) && !defined(MIPS2JAVA) \
+ #   if defined(sigmask) && !defined(UTS4) && !defined(HURD)
+       /* Use the traditional BSD interface */